void bits_from (pulong -w target, ulong source, ulong format)
            if (format == BIG_ENDIAN)
{
  ...
}

void bits_from (pulong -w target, ulong source, ulong format)
            if (format == LITTLE_ENDIAN)
{
  ...
}

void bits_to (pulong -w target, ulong source, ulong format)
          if (format == BIG_ENDIAN)
{
  ...
}

void bits_to (pulong -w target, ulong source, ulong format)
          if (format == LITTLE_ENDIAN)
{
  ...
}